Package org.eclipse.rdf4j.sail.lmdb.config

## Class LmdbStoreSchema

- java.lang.Object
- - org.eclipse.rdf4j.sail.lmdb.config.LmdbStoreSchema

-     public class LmdbStoreSchema
      extends Object

  Defines constants for the LmdbStore schema which is used by `LmdbStoreFactory`s to initialize `LmdbStore`s.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `AUTO_GROW` | `http://rdf4j.org/config/sail/lmdb#autoGrow`
    `static IRI` | `FORCE_SYNC` | `http://rdf4j.org/config/sail/lmdb#forceSync`
    `static String` | `NAMESPACE` | The LmdbStore schema namespace (`http://rdf4j.org/config/sail/lmdb#`).
    `static IRI` | `NAMESPACE_CACHE_SIZE` | `http://rdf4j.org/config/sail/lmdb#namespaceCacheSize`
    `static IRI` | `NAMESPACE_ID_CACHE_SIZE` | `http://rdf4j.org/config/sail/lmdb#namespaceIDCacheSize`
    `static IRI` | `TRIPLE_DB_SIZE` | `http://rdf4j.org/config/sail/lmdb#tripleDBSize`
    `static IRI` | `TRIPLE_INDEXES` | `http://rdf4j.org/config/sail/lmdb#tripleIndexes`
    `static IRI` | `VALUE_CACHE_SIZE` | `http://rdf4j.org/config/sail/lmdb#valueCacheSize`
    `static IRI` | `VALUE_DB_SIZE` | `http://rdf4j.org/config/sail/lmdb#valueDBSize`
    `static IRI` | `VALUE_ID_CACHE_SIZE` | `http://rdf4j.org/config/sail/lmdb#valueIDCacheSize`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LmdbStoreSchema()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The LmdbStore schema namespace (`http://rdf4j.org/config/sail/lmdb#`).
      See Also:
        Constant Field Values

    - #### TRIPLE_INDEXES

          public static final IRI TRIPLE_INDEXES

      `http://rdf4j.org/config/sail/lmdb#tripleIndexes`

    - #### TRIPLE_DB_SIZE

          public static final IRI TRIPLE_DB_SIZE

      `http://rdf4j.org/config/sail/lmdb#tripleDBSize`

    - #### FORCE_SYNC

          public static final IRI FORCE_SYNC

      `http://rdf4j.org/config/sail/lmdb#forceSync`

    - #### VALUE_CACHE_SIZE

          public static final IRI VALUE_CACHE_SIZE

      `http://rdf4j.org/config/sail/lmdb#valueCacheSize`

    - #### VALUE_DB_SIZE

          public static final IRI VALUE_DB_SIZE

      `http://rdf4j.org/config/sail/lmdb#valueDBSize`

    - #### VALUE_ID_CACHE_SIZE

          public static final IRI VALUE_ID_CACHE_SIZE

      `http://rdf4j.org/config/sail/lmdb#valueIDCacheSize`

    - #### NAMESPACE_CACHE_SIZE

          public static final IRI NAMESPACE_CACHE_SIZE

      `http://rdf4j.org/config/sail/lmdb#namespaceCacheSize`

    - #### NAMESPACE_ID_CACHE_SIZE

          public static final IRI NAMESPACE_ID_CACHE_SIZE

      `http://rdf4j.org/config/sail/lmdb#namespaceIDCacheSize`

    - #### AUTO_GROW

          public static final IRI AUTO_GROW

      `http://rdf4j.org/config/sail/lmdb#autoGrow`

  - ### Constructor Detail

    - #### LmdbStoreSchema

          public LmdbStoreSchema()